Read Connection Data Source - MindBridge Documentation

Documentation Index

Fetch the complete documentation index at: /llms.txt

Use this file to discover all available pages before exploring further.

GET

/ v1 / connection-data-source / {connectionDataSourceId}

Read Connection Data Source

cURL

curl --request GET \
  --url https://{tenant}.mindbridge.ai/api/v1/connection-data-source/{connectionDataSourceId} \
  --header 'Authorization: Bearer <token>'

Python

import requests

url = "https://{tenant}.mindbridge.ai/api/v1/connection-data-source/{connectionDataSourceId}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)

JavaScript (Fetch)

const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://{tenant}.mindbridge.ai/api/v1/connection-data-source/{connectionDataSourceId}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));

PHP




Response (200 - application/json)

{
  "id": "<string>",
  "version": 123,
  "creationDate": "2023-11-07T05:31:56Z",
  "lastModifiedDate": "2023-11-07T05:31:56Z",
  "createdUserInfo": {
    "userId": "<string>",
    "userName": "<string>"
  },
  "lastModifiedUserInfo": {
    "userId": "<string>",
    "userName": "<string>"
  },
  "connectionId": "<string>",
  "tableId": "<string>",
  "schema": {
    "columns": [
      {
        "name": "<string>",
        "nullable": true
      }
    ]
  }
}

Authorizations

Authorization: Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

connectionDataSourceId: string, required.